
QGIS Application - Feature request #6285

Set Offsets for Point Labels

2012-08-30 10:24 PM - Astrodog Astrodog

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15585

Description

I'd like to be able to set the position for the label that applies to a point, (e.g., centered under the point), in a similar manner to how it works

under the old labeling system. Alternately, a way to set X/Y offsets for point labels would also solve my problem.

Associated revisions

Revision 61a50225 - 2012-09-03 06:13 AM - Larry Shaffer

Add quadrant, offset, rotation for points/centroids in adv labeling

- Possible fix for #4634, #5256, #6162

- Uses GEOS to convert centroids to points before PAL solution

- Implements #3492, #6285

- Convert PAL layer types 'over point/centroid' to 'offset from point/centroid'

- Add quadrant offsets (above/below/right, etc. like in old labeling)

- Add x and y offset, in mm or map unit, in addition to quadrant

- Default for offset is set to map units (mm scales oddly with zoom)

- Implements #4517, #6118; updates fix for #4317

- Rotation is independent of data defined columns

- Rotation bounding box included in offset calculation

- GUI spin box range set from -360 to +360 for initial dev testing

- Keep from scaling letter/word spacing if set to 0

History

#1 - 2012-08-31 02:01 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

Seems duplicate of #3492

Please reopen if necessary.

#2 - 2012-08-31 09:08 AM - Astrodog Astrodog

It's certainly close. While the fix for #3492 would resolve the problem I'm having right now, I'd really prefer the old system wherein I can simply check

"Below".
#3 - 2012-08-31 12:15 PM - Giovanni Manghi

- Status changed from Closed to Open

- Resolution deleted (duplicate)

- Category set to Labelling

#4 - 2012-09-04 12:31 PM - Larry Shaffer

Should be implemented with commit commit:61a50225

#5 - 2012-09-07 11:12 AM - Giovanni Manghi

- Status changed from Open to Feedback

#6 - 2012-09-17 02:29 PM - Larry Shaffer

- Status changed from Feedback to Closed

This functionality now exists in master branch. Please reopen if necessary. Any issues with current functionality should probably go on a new ticket.
